Bullet Collision Detection & Physics Library: btConjugateGradient< MatrixX > Class Template Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Private Types | Private Attributes | List of all members
btConjugateGradient< MatrixX > Class Template Reference

`#include <btConjugateGradient.h>`

Collaboration diagram for btConjugateGradient< MatrixX >:
[legend]

## Public Member Functions
| btConjugateGradient (const int max_it_in)
virtual | ~btConjugateGradient ()
int | solve (MatrixX &A, TVStack &x, const TVStack &b, bool verbose=false)
void | reinitialize (const TVStack &b)
TVStack | sub (const TVStack &a, const TVStack &b)
btScalar | squaredNorm (const TVStack &a)
btScalar | dot (const TVStack &a, const TVStack &b)
void | multAndAddTo (btScalar s, const TVStack &a, TVStack &result)
TVStack | multAndAdd (btScalar s, const TVStack &a, const TVStack &b)

## Private Types
typedef btAlignedObjectArray< btVector3 > | TVStack

## Private Attributes
TVStack | r
TVStack | p
TVStack | z
TVStack | temp
int | max_iterations
btScalar | tolerance_squared

## Detailed Description

### template<class MatrixX>
class btConjugateGradient< MatrixX >

Definition at line 25 of file btConjugateGradient.h.

## Member Typedef Documentation

## ◆ TVStack

template<class MatrixX >

typedef btAlignedObjectArray<btVector3> btConjugateGradient< MatrixX >::TVStack
| private

Definition at line 27 of file btConjugateGradient.h.

## Constructor & Destructor Documentation

## ◆ btConjugateGradient()

template<class MatrixX >

btConjugateGradient< MatrixX >::btConjugateGradient | ( | const int | max_it_in | ) |
| inline

Definition at line 32 of file btConjugateGradient.h.

## ◆ ~btConjugateGradient()

template<class MatrixX >

virtual btConjugateGradient< MatrixX >::~btConjugateGradient | ( |  | ) |
| inlinevirtual

Definition at line 38 of file btConjugateGradient.h.

## Member Function Documentation

## ◆ dot()

template<class MatrixX >

btScalar btConjugateGradient< MatrixX >::dot | ( | const TVStack & | a,
|  | const TVStack & | b
| ) |  |
| inline

Definition at line 132 of file btConjugateGradient.h.

## ◆ multAndAdd()

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::multAndAdd | ( | btScalar | s,
|  | const TVStack & | a,
|  | const TVStack & | b
| ) |  |
| inline

Definition at line 148 of file btConjugateGradient.h.

## ◆ multAndAddTo()

template<class MatrixX >

void btConjugateGradient< MatrixX >::multAndAddTo | ( | btScalar | s,
|  | const TVStack & | a,
|  | TVStack & | result
| ) |  |
| inline

Definition at line 140 of file btConjugateGradient.h.

## ◆ reinitialize()

template<class MatrixX >

void btConjugateGradient< MatrixX >::reinitialize | ( | const TVStack & | b | ) |
| inline

Definition at line 106 of file btConjugateGradient.h.

## ◆ solve()

template<class MatrixX >

int btConjugateGradient< MatrixX >::solve | ( | MatrixX & | A,
|  | TVStack & | x,
|  | const TVStack & | b,
|  | bool | verbose = `false`
| ) |  |
| inline

Definition at line 41 of file btConjugateGradient.h.

## ◆ squaredNorm()

template<class MatrixX >

btScalar btConjugateGradient< MatrixX >::squaredNorm | ( | const TVStack & | a | ) |
| inline

Definition at line 127 of file btConjugateGradient.h.

## ◆ sub()

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::sub | ( | const TVStack & | a,
|  | const TVStack & | b
| ) |  |
| inline

Definition at line 114 of file btConjugateGradient.h.

## Member Data Documentation

## ◆ max_iterations

template<class MatrixX >

int btConjugateGradient< MatrixX >::max_iterations
| private

Definition at line 29 of file btConjugateGradient.h.

## ◆ p

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::p
| private

Definition at line 28 of file btConjugateGradient.h.

## ◆ r

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::r
| private

Definition at line 28 of file btConjugateGradient.h.

## ◆ temp

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::temp
| private

Definition at line 28 of file btConjugateGradient.h.

## ◆ tolerance_squared

template<class MatrixX >

btScalar btConjugateGradient< MatrixX >::tolerance_squared
| private

Definition at line 30 of file btConjugateGradient.h.

## ◆ z

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::z
| private

Definition at line 28 of file btConjugateGradient.h.

The documentation for this class was generated from the following file:

- btConjugateGradient.h